<template>
  <span @click="$emit('click')" :class="classes">
    {{ label }}
  </span>
</template>

<script>
export default {
  props: {
    label: String,
    fullwidth: Boolean,
    actived: Boolean
  },

  computed: {
    classes() {
      return {
        tag: true,
        fullwidth: this.fullwidth,
        actived: this.actived
      };
    }
  }
};
</script>

<style lang="scss" scoped>
.tag {
  display: inline-block;
  border-radius: 2px;
  padding: 0 10px;
  line-height: 26px;
  cursor: pointer;
  font-size: 14px;
  text-align: center;
  border: 1px $color-silver-grey solid;
  color: $color-secondary-black;

  &.actived {
    color: $color-white;
    background: $color-skm-red;
    border: none;
  }

  &.fullwidth {
    width: 100%;
  }
}
</style>
